\version "2.12.0"
#(ly:set-option 'point-and-click #f)
% expanding: header.ly
\header {
	composer = "Vincenzo Ruffo"
        copyright = "© Serpent Publications 2012 www.laymusic.org"
	footnotes = ""
	title = "El Chiocho"
	source = "Ogni Sorte Editions SR3"
}

% Local Variables:
% coding: utf-8
% End:

  \header {instrument = "Canto"}
% expanding: voicedefault.ly
\version "2.15.19"
voicedefault =  {
\set Staff.autoBeaming = ##f
$(set-accidental-style 'forget)
\override NoteHead    #'style = #'baroque
\set Staff.midiInstrument = "oboe"
%\set Score.defaultBarType = "empty"
\override Staff.BarLine #'transparent = ##t
\override Staff.BarLine #'extra-spacing-width = #'(0 . 0)
\override Staff.TimeSignature   #'style = #'neomensural

%\compoundMeter #'((4 4) (3 2)) 
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)

  \override Staff.TimeSignature   #'style = #'C
 \time 2/2
%s128
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(0.0 . 0.0 )
%\override Staff.TimeSignature   #'style = #'single-digit
%\time 3/2
%s128
%        \set Score.measurePosition = #(ly:make-moment 0 2)

%\key g \minor
\key g \dorian

%\partial 4  

}
% Local Variables:
% coding: utf-8
% End:

% expanding: cantusnotes.ly
cantusnotes = {
  \relative c'' {
    \set suggestAccidentals = ##f
    r1 r2 g fis4 g d8 d' c d g, b4 g8 a4 d,8 g4 f a8 g4 f e16^"A" d e f g4 e a4. g8 f e16 d e4 a4. f8 bes4. a8 a4. g16 f g f e d c4 c'4. bes8 a4 g f8 c'4 g bes a8 g4^"B" f8. 
    \set suggestAccidentals = ##t
    es16 d4. c16 bes c4 d
    r8 g f g d f e4 d
    r8 d' c d g, bes a g4 fis16 e fis4 g^"C"
    \set suggestAccidentals = ##f
    r8 g fis4 g8 es d4
    \set suggestAccidentals = ##t
    r8 f e4 f8 d4 cis16 bes cis4 d
    r8 a' g a e4 g f e
    r8 g f g d f e4 d
    r8 a'4 bes8 a4 f8 d e4^"D" f
    r8 bes g e d4 e8 e16 d d4
    r8 d' c8. bes16 f8 a c4. bes8 a8. g16 f8 e d bes'4 a8 g4 fis g d f 
    \set suggestAccidentals = ##f
    es d2
    r8^"E" d4 d8 g f a4. g4 f e16 d e4 f
    r8 f e4 f c
    r8 c' b c g4
    \set suggestAccidentals = ##t
    bes a8 g c bes a4. g16 f g4 a^"F"
    r8 c4 g8 a8. g16 f8 e g4. f8 g bes8. c16 d4 bes a16 g a4 bes
    r8 bes a bes f4
    r8 a g a e g f g d4 f e d4. c16 bes c8 bes d4 bes8 
    \set suggestAccidentals = ##f
    es4 d8 d f4 e8 f4 e^"G"
    r8 e f g e4
    r8 g f g a bes a8. g16 f4 e8 d e a4 g8. f16 e8 d g e f e4 d
    r8 f4 e8 f d4 c e g8. f16 e8 d1\fermata
    \once \override Staff.BarLine #'transparent = ##f
   \bar "|."   
}
}

% expanding: slower.ly
looksSlower =
#(define-music-function (parser location music) (ly:music?)
  (let ((new-music (ly:music-deep-copy music)))
   (shift-duration-log new-music -1 0)
   new-music))
\score{
  <<
	\context Staff="default"
	{
	  \transpose c c {
	    \voicedefault 
	    \looksSlower{\cantusnotes}
%	    \cantusnotes
	  }
	}
      >>
	\layout {
	  \context{
		\Voice
		\consists Ambitus_engraver
%		\remove "Forbid_line_break_engraver"	      
	      }
	  \context{
	    \Staff
	    \consists Custos_engraver
	    \override Custos #'style = #'mensural
	  }	
	}
\midi {
    \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 120 4)
      }
    }

}


% Local Variables:
% coding: utf-8
% End:

