\version "2.12.0"
#(ly:set-option 'point-and-click #f)
% expanding: header.ly
\header {
	composer = "Vincenzo Ruffo"
        copyright = "© Serpent Publications 2012 www.laymusic.org"
	footnotes = ""
	title = "El Chiocho"
	source = "Ogni Sorte Editions SR3"
}

% Local Variables:
% coding: utf-8
% End:

% expanding: cantusnotes.ly
cantusnotes = {
  \relative c'' {
    \set suggestAccidentals = ##f
    r1 r2 g fis4 g d8 d' c d g, b4 g8 a4 d,8 g4 f a8 g4 f e16^"A" d e f g4 e a4. g8 f e16 d e4 a4. f8 bes4. a8 a4. g16 f g f e d c4 c'4. bes8 a4 g f8 c'4 g bes a8 g4^"B" f8. 
    \set suggestAccidentals = ##t
    es16 d4. c16 bes c4 d
    r8 g f g d f e4 d
    r8 d' c d g, bes a g4 fis16 e fis4 g^"C"
    \set suggestAccidentals = ##f
    r8 g fis4 g8 es d4
    \set suggestAccidentals = ##t
    r8 f e4 f8 d4 cis16 bes cis4 d
    r8 a' g a e4 g f e
    r8 g f g d f e4 d
    r8 a'4 bes8 a4 f8 d e4^"D" f
    r8 bes g e d4 e8 e16 d d4
    r8 d' c8. bes16 f8 a c4. bes8 a8. g16 f8 e d bes'4 a8 g4 fis g d f 
    \set suggestAccidentals = ##f
    es d2
    r8^"E" d4 d8 g f a4. g4 f e16 d e4 f
    r8 f e4 f c
    r8 c' b c g4
    \set suggestAccidentals = ##t
    bes a8 g c bes a4. g16 f g4 a^"F"
    r8 c4 g8 a8. g16 f8 e g4. f8 g bes8. c16 d4 bes a16 g a4 bes
    r8 bes a bes f4
    r8 a g a e g f g d4 f e d4. c16 bes c8 bes d4 bes8 
    \set suggestAccidentals = ##f
    es4 d8 d f4 e8 f4 e^"G"
    r8 e f g e4
    r8 g f g a bes a8. g16 f4 e8 d e a4 g8. f16 e8 d g e f e4 d
    r8 f4 e8 f d4 c e g8. f16 e8 d1\fermata
    \once \override Staff.BarLine #'transparent = ##f
   \bar "|."   
}
}

% expanding: tenornotes.ly
tenornotes = {
  \clef "G_8"
  \relative c' {
    \set suggestAccidentals = ##t
    d2 c4 d a8 d c d g,4 c d e f e8 d4 d8 bes4 c8 a bes4 a8 d c4. g8 a16 g a bes c4.^"A" g8 c a4 f' e8 d c16 bes c8 a4 f8 d d'4 g,8 d'4. c8 bes2 a4. f8 c'4
    r8 c4 c8 a4 g8 c bes g d'4 bes4.^"B" a16 g f8 d g4 es d8 d' c bes a g4 d'8 c a bes4. g8 a bes c g d' bes c4 d bes^"C" g a8 bes4 g8 f bes a f g4 f e2 d8 d'4 c8 bes a4 c g8
    r8 d'4 c8 bes4 a8 g4 d' c8 bes4 a d4. c16 bes a g a bes c4^"D" a8 d c4. g16 a bes c d8 g, c4 bes16 a bes4 a
    \set suggestAccidentals = ##f 
    r8 d c8. bes16 a8 g a d4 c8 bes8. a16 g8 f es c d4
    r8 g8. a16 bes c d4 c4. bes16 a bes4 a^"E"
    r8 bes4 a d8 c8. bes16 a8 g16 f g2 f8 bes a bes g4
    \set suggestAccidentals = ##t
    r8 f4 e8 f a g c8. d16 es4 d8 c8. bes16 a8 g d'8. c16 bes2 a4.^"F" f8 g4 f c'4. c8 bes4. g8 d' bes4 d8 c2 bes4 d c8 bes4 a8 g f bes a4 g8 a g4 d8. e16 f g a4 bes2 g4 a g
    r8 d'4 bes8 a4. d8 c4^"G" a8 c bes g a4 g
    r8 g f g d4
    \set suggestAccidentals = ##f
    r8 d' c d a4 c bes8 c g4 a8 f a2 g8 f g4 f a c g4. c8 b1\fermata
  }
    \once \override Staff.BarLine #'transparent = ##f
\bar "|."   
}

% expanding: bassusnotes.ly
bassusnotes = {
  \clef "bass"
  \relative c' {
    r\breve r1 g2 f4 g d f e f c2^"A"
    \set suggestAccidentals = ##t
    r2  r\breve r1 f2 e4 f c es d es^"B" bes2
    \set suggestAccidentals = ##f
    r2 r\breve r1 es2^"C" d4 e bes d c d a2
    r2 r\breve r1 d2 c4^"D" d a c bes c g2
    r2 r\breve r1 g'2 f4^"E" g4. d8 d4 f8 e f4 c2
    r2 r\breve r1 f2^"F" e4 f4. c8 c4 es8 d es4 bes2
    r2 r\breve r1 es2 d4 es4. bes8 bes4 d8 c d4 a2^"G"
    r2 r\breve r1 d2 c4 d4. a8 a4 c8 
    \set suggestAccidentals = ##t
    b c4 g1\fermata

  }
  \once \override Staff.BarLine #'transparent = ##f
  \bar "|."   
}

% expanding: voicedefault.ly
\version "2.15.19"
voicedefault =  {
\set Staff.autoBeaming = ##f
$(set-accidental-style 'forget)
\override NoteHead    #'style = #'baroque
\set Staff.midiInstrument = "oboe"
%\set Score.defaultBarType = "empty"
\override Staff.BarLine #'transparent = ##t
\override Staff.BarLine #'extra-spacing-width = #'(0 . 0)
\override Staff.TimeSignature   #'style = #'neomensural

%\compoundMeter #'((4 4) (3 2)) 
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)

  \override Staff.TimeSignature   #'style = #'C
 \time 2/2
%s128
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(0.0 . 0.0 )
%\override Staff.TimeSignature   #'style = #'single-digit
%\time 3/2
%s128
%        \set Score.measurePosition = #(ly:make-moment 0 2)

%\key g \minor
\key g \dorian

%\partial 4  

}
% Local Variables:
% coding: utf-8
% End:

% expanding: slower.ly
looksSlower =
#(define-music-function (parser location music) (ly:music?)
  (let ((new-music (ly:music-deep-copy music)))
   (shift-duration-log new-music -1 0)
   new-music))
\score{
         <<

  <<
	\context Staff="1"
	{
	  \transpose c c {
	    \voicedefault 
	    \looksSlower{\cantusnotes }
%	    \cantusnotes
	  }
	}
      >>


<<	\context Staff="3"
	{
	  \transpose c c {
	    \voicedefault
	    \looksSlower{\tenornotes}
%	    \tenornotes
	  }
	}

>>


<<	\context Staff="6"
	{
	  \transpose c c {
%	    \clef "bass"
	    \voicedefault
	    \looksSlower{\bassusnotes}
% 	    \bassusnotes
	  }
	}
>>

    >>
	\layout {
	  \context{
		\Voice
		\consists Ambitus_engraver
		\remove "Forbid_line_break_engraver"	      
	      }
	  \context{

	    \Staff
	    \consists "Timing_translator" 
	    \consists "Default_bar_line_engraver"
	    \consists "Repeat_acknowledge_engraver"
	  }
	  \context{
	    \Score
	    \remove "Timing_translator" 
	    \remove "Default_bar_line_engraver"
	    \remove "Repeat_acknowledge_engraver"
	  }

	}
\midi {
    \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 120 4)
      }
    }
}
% Local Variables:
% coding: utf-8
% End:

