\version "2.12.0"
#(ly:set-option 'point-and-click #f)
% expanding: header.ly
\header {
	composer = "Vincenzo Ruffo"
        copyright = "© Serpent Publications 2012 www.laymusic.org"
	footnotes = ""
	title = "El Chiocho"
	source = "Ogni Sorte Editions SR3"
}

% Local Variables:
% coding: utf-8
% End:

  \header {instrument = "Tenore"}
% expanding: slower.ly
looksSlower =
#(define-music-function (parser location music) (ly:music?)
  (let ((new-music (ly:music-deep-copy music)))
   (shift-duration-log new-music -1 0)
   new-music))
% expanding: voicedefault.ly
\version "2.15.19"
voicedefault =  {
\set Staff.autoBeaming = ##f
$(set-accidental-style 'forget)
\override NoteHead    #'style = #'baroque
\set Staff.midiInstrument = "oboe"
%\set Score.defaultBarType = "empty"
\override Staff.BarLine #'transparent = ##t
\override Staff.BarLine #'extra-spacing-width = #'(0 . 0)
\override Staff.TimeSignature   #'style = #'neomensural

%\compoundMeter #'((4 4) (3 2)) 
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)

  \override Staff.TimeSignature   #'style = #'C
 \time 2/2
%s128
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(0.0 . 0.0 )
%\override Staff.TimeSignature   #'style = #'single-digit
%\time 3/2
%s128
%        \set Score.measurePosition = #(ly:make-moment 0 2)

%\key g \minor
\key g \dorian

%\partial 4  

}
% Local Variables:
% coding: utf-8
% End:

% expanding: tenornotes.ly
tenornotes = {
  \clef "G_8"
  \relative c' {
    \set suggestAccidentals = ##t
    d2 c4 d a8 d c d g,4 c d e f e8 d4 d8 bes4 c8 a bes4 a8 d c4. g8 a16 g a bes c4.^"A" g8 c a4 f' e8 d c16 bes c8 a4 f8 d d'4 g,8 d'4. c8 bes2 a4. f8 c'4
    r8 c4 c8 a4 g8 c bes g d'4 bes4.^"B" a16 g f8 d g4 es d8 d' c bes a g4 d'8 c a bes4. g8 a bes c g d' bes c4 d bes^"C" g a8 bes4 g8 f bes a f g4 f e2 d8 d'4 c8 bes a4 c g8
    r8 d'4 c8 bes4 a8 g4 d' c8 bes4 a d4. c16 bes a g a bes c4^"D" a8 d c4. g16 a bes c d8 g, c4 bes16 a bes4 a
    \set suggestAccidentals = ##f 
    r8 d c8. bes16 a8 g a d4 c8 bes8. a16 g8 f es c d4
    r8 g8. a16 bes c d4 c4. bes16 a bes4 a^"E"
    r8 bes4 a d8 c8. bes16 a8 g16 f g2 f8 bes a bes g4
    \set suggestAccidentals = ##t
    r8 f4 e8 f a g c8. d16 es4 d8 c8. bes16 a8 g d'8. c16 bes2 a4.^"F" f8 g4 f c'4. c8 bes4. g8 d' bes4 d8 c2 bes4 d c8 bes4 a8 g f bes a4 g8 a g4 d8. e16 f g a4 bes2 g4 a g
    r8 d'4 bes8 a4. d8 c4^"G" a8 c bes g a4 g
    r8 g f g d4
    \set suggestAccidentals = ##f
    r8 d' c d a4 c bes8 c g4 a8 f a2 g8 f g4 f a c g4. c8 b1\fermata
  }
    \once \override Staff.BarLine #'transparent = ##f
\bar "|."   
}

\score{
  <<
	\context Staff="default"
	{
	  \transpose c c {
	    \voicedefault 
%	    \tenornotes
	    \looksSlower{\tenornotes }
	  }
	}
      >>
	\layout {
	  \context{
		\Voice
		\consists Ambitus_engraver
%		\remove "Forbid_line_break_engraver"	      
	      }
	  \context{
	    \Staff
	    \consists Custos_engraver
	    \override Custos #'style = #'mensural
	  }	
	}
\midi {
    \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 120 4)
      }
    }
}


% Local Variables:
% coding: utf-8
% End:

